I made a mistake doing the upgrade to 1.6.0


  • Hello I did a mistake doing the upgrade

    I was following the steps

    For example, if upgrading from v0.3.2 to v0.4.3:
    
    Option #1
    $ git fetch    # Grab the latest code from the NodeBB Repository
    $ git checkout v0.4.x    # Type this as-is! Not v0.4.2 or v0.4.3, but "v0.4.x"!
    $ git merge origin/v0.4.x
    
    If not upgrading between branches (e.g. v0.3.3 to v0.3.4, just run the following commands:
    
    Option #2
    $ git fetch
    $ git reset --hard origin/v0.3.x    # Replace v0.3.x with the branch name!
    

    I was upgrading from 1.5.3 to 1.6.0 I use the Option #1 then the Option #2 and at the end I think the merge din't when well.

    from the option #1 when I use the ./nodebb upgrade every time I get the same result ( this one )

    error

    Also Im getting this but this just tell me to run the ./nodebb upgrade so it wont fix it
    alt text

    If i do a

    git rev-parse --abbrev-ref HEAD
    v1.6.x
    

    What can i do ?

    Thank you

  • Admin NodeBB

    Seems like the upgrade script that tries to resize the site logo is failing. What file type is your site logo? You can try deleting it and rerunning the upgrade script. After you are on 1.6.0 try uploading the same logo from the ACP.


  • @baris said in I made a mistake doing the upgrade to 1.6.0:

    Seems like the upgrade script that tries to resize the site logo is failing. What file type is your site logo? You can try deleting it and rerunning the upgrade script. After you are on 1.6.0 try uploading the same logo from the ACP.

    its .svg , remove the logo from where ? can you post a path ?

    thanks for the reply 👍

  • Admin NodeBB

    It should be in your public/uploads/system folder.


  • @baris dude ! thank you very much, it work

Suggested Topics

  • 2
  • 16
  • 4
  • 1
  • 3
| |